'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _g, _path2, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgHeardIslandAndMcDonaldIslandsCircled = function SvgHeardIslandAndMcDonaldIslandsCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "HeardIslandAndMcDonaldIslandsCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#HeardIslandAndMcDonaldIslandsCircled_svg__b)",
    mask: "url(#HeardIslandAndMcDonaldIslandsCircled_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#00008B",
    d: "M1 1h46v46H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M24 1v2.875L15.465 12.5 24 20.9V24h-3.01l-8.58-8.445L4.055 24H1v-3.055l8.355-8.4L1 4.325V1h2.785l8.625 8.445L20.766 1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "red",
    d: "m9.266 15.555.494 1.527L2.887 24H1v-.135zm5.57-.54 2.426.36L24 21.979V24zM24 1l-8.625 8.805-.18-1.977L21.934 1zM1 1.045l8.67 8.49-2.65-.36L1 3.202z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M8.906 1v23h7.188V1zM1 8.906v7.188h23V8.906z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "red",
    d: "M1 10.344v4.312h23v-4.312zM10.344 1v23h4.312V1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "m19.148 37.19-4.114.484.413 4.124-2.947-2.91-2.965 2.892.44-4.124-4.114-.52 3.494-2.229-2.156-3.54 3.917 1.348 1.42-3.9 1.393 3.909 3.926-1.32-2.184 3.521 3.486 2.255zm20.009.718-1.842.233.198 1.842-1.33-1.293-1.32 1.302.179-1.842-1.842-.215 1.554-1.007-.979-1.572 1.76.584.62-1.752.639 1.743 1.752-.602-.962 1.581zm-.872-10.53.243-1.168-.88-.808 1.185-.135.494-1.087.495 1.087 1.185.135-.88.808.242 1.168-1.042-.593zm-7.556-5.39-1.823.197.161 1.824-1.294-1.303-1.33 1.267.216-1.824-1.814-.242 1.554-.97-.944-1.573 1.734.611.647-1.716.602 1.734 1.743-.566-.98 1.554zm15.795-2.947-1.878.242.207 1.878-1.357-1.32-1.348 1.329.19-1.887-1.879-.215 1.59-1.034-.997-1.608 1.797.602.63-1.779.646 1.78 1.788-.62-.988 1.616zm-7.376-7.502-1.86.206.17 1.87-1.32-1.33-1.357 1.293.216-1.86-1.86-.251 1.59-.989-.961-1.608 1.77.62.656-1.752.61 1.77 1.78-.584-.998 1.582z"
  }))), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "HeardIslandAndMcDonaldIslandsCircled_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

exports.ReactComponent = SvgHeardIslandAndMcDonaldIslandsCircled;
